commit:     3175ec56316aa91b816fc869e91d1c610fcd39ca
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 18 04:24:41 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 18 05:31:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3175ec56

dev-python/virtualenv: Bump to 20.25.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/virtualenv/Manifest                  |   1 +
 dev-python/virtualenv/virtualenv-20.25.3.ebuild | 123 ++++++++++++++++++++++++
 2 files changed, 124 insertions(+)

diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index ac8d2556a3fe..50d706709787 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -1,2 +1,3 @@
 DIST virtualenv-20.25.1.tar.gz 7152341 BLAKE2B 
7d3ecaca89cb4106f97fb5565331b257017d756742f9c90972a01a86296e81d509d2f4a7869d3bc7a299c1c2f01cc08999eddc258f1bd46acf88999d0732794e
 SHA512 
c0791de2aed7893658316199696906b1aed650460f3b53e0dbd13e695d16bc14d8974cd72fc8dcc010ff7ba10036121929ce9a608f97d7d2cd9f972144a3a1f0
 DIST virtualenv-20.25.2.tar.gz 7289618 BLAKE2B 
9217dadaa00521b5109a7efdaadd99663898931aee57d34e1fae0484cf997cb06d7a6f87bd971802fae9539435eae69c4f3f4f6a5e0771d08926fd8151ec0810
 SHA512 
080fe3b02d08f9c55a2eea7b68022de935e0887826d52511c768ef4fb72b0278d99413f5f08288fd22c5925d362588af0afbbf7f2c51dcc47c8bce1485d6ae19
+DIST virtualenv-20.25.3.tar.gz 7289627 BLAKE2B 
9edd92a238af78d4178f7c7b553f4b86206815fad3cd5f257b9fe35552835ab916849a07e06248f880335dc9a356364154ea689c08d64274eab4df36a81c05db
 SHA512 
3933ed6dfa393a2f6cb6f996d8830f60204d5bf8953d61726afc5cc9b079bd1723c3e9044e33d3a584725ba80b93d9ac5a5d11c7304d0234303ce49c33ca1a9e

diff --git a/dev-python/virtualenv/virtualenv-20.25.3.ebuild 
b/dev-python/virtualenv/virtualenv-20.25.3.ebuild
new file mode 100644
index 000000000000..17590a856722
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-20.25.3.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+       https://virtualenv.pypa.io/en/stable/
+       https://pypi.org/project/virtualenv/
+       https://github.com/pypa/virtualenv/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/distlib-0.3.7[${PYTHON_USEDEP}]
+       >=dev-python/filelock-3.12.2[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-3.9.1[${PYTHON_USEDEP}]
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/flaky[${PYTHON_USEDEP}]
+               >=dev-python/pip-22.2.1[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       >=dev-python/pytest-freezer-0.4.6[${PYTHON_USEDEP}]
+               ' pypy3)
+               >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               >=dev-python/setuptools-67.8[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       dev-python/time-machine[${PYTHON_USEDEP}]
+               ' 'python3*')
+               dev-python/wheel[${PYTHON_USEDEP}]
+               >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_TIMEOUT=180
+distutils_enable_tests pytest
+
+src_prepare() {
+       # workaround test failures due to warnings from setuptools-scm, sigh
+       echo '[tool.setuptools_scm]' >> pyproject.toml || die
+
+       # remove useless pins
+       sed -i -e 's:<[0-9.]*,::' pyproject.toml || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               tests/unit/activation/test_xonsh.py
+               
tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+               tests/unit/create/test_creator.py::test_cross_major
+               # tests failing without python2 installed
+               
"tests/unit/create/test_creator.py::test_py_pyc_missing[True-False]"
+               
"tests/unit/create/test_creator.py::test_py_pyc_missing[False-False]"
+       )
+       case ${EPYTHON} in
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-isolated]'
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[root-pypy3-posix-copies-global]'
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-isolated]'
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[venv-pypy3-posix-copies-global]'
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-isolated]'
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[root-venv-copies-global]'
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-isolated]'
+                               
'tests/unit/create/test_creator.py::test_create_no_seed[venv-venv-copies-global]'
+                               
'tests/unit/create/test_creator.py::test_zip_importer_can_import_setuptools'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.9--bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7.10--bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3.7--bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[PyPy-3--bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.9--bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7.10--bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3.7--bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3-64-bin-]'
+                               
'tests/unit/discovery/py_info/test_py_info_exe_based_of.py::test_discover_ok[python-3--bin-]'
+                       )
+                       ;;
+               python3.12)
+                       EPYTEST_DESELECT+=(
+                               
tests/unit/create/via_global_ref/test_build_c_ext.py
+                       )
+                       ;&
+               python3.11)
+                       EPYTEST_DESELECT+=(
+                               # TODO
+                               
tests/unit/discovery/py_info/test_py_info.py::test_fallback_existent_system_executable
+                       )
+                       ;;
+       esac
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x TZ=UTC
+       local plugins=( -p flaky -p pytest_mock )
+       if [[ ${EPYTHON} == pypy3 ]]; then
+               plugins+=( -p freezegun )
+       else
+               plugins+=( -p time_machine )
+       fi
+       epytest "${plugins[@]}" -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}

Reply via email to